Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core
Interface IModelChangedEvent

All Known Implementing Classes:
  ModelChangedEvent

public interface IModelChangedEvent

Model change events are fired by the model when it is changed from the last clean state. Model change listeners can use these events to update accordingly.

Since:
  2.0

Field Summary
`static int` | `CHANGE` indicates that a model object's property has been changed.
`static int` | `INSERT` Indicates a change where one or more objects are added to the model.
`static int` | `REMOVE` Indicates a change where one or more objects are removed from the model.
`static int` | `WORLD_CHANGED` Indicates that the model has been reloaded and that listeners should perform full refresh.

Method Summary
`Object[]` | `getChangedObjects()` Returns an array of model objects that are affected by the change.
`String` | `getChangedProperty()` Returns a name of the object's property that has been changed if change type is CHANGE.
`IModelChangeProvider` | `getChangeProvider()` Returns the provider that fired this event.
`int` | `getChangeType()` Returns the type of change that occured in the model (one of `INSERT` , `REMOVE` , `CHANGE` or `WORLD_CHANGED` ).
`Object` | `getNewValue()` When model change is of type `CHANGE` , this method is used to obtain the new value of the property (after the change).
`Object` | `getOldValue()` When model change is of type `CHANGE` , this method is used to obtain the old value of the property (before the change).

Field Detail

### INSERT

    public static final int INSERT

  Indicates a change where one or more objects are added to the model.

  See Also:
    Constant Field Values

### REMOVE

    public static final int REMOVE

  Indicates a change where one or more objects are removed from the model.

  See Also:
    Constant Field Values

### WORLD_CHANGED

    public static final int WORLD_CHANGED

  Indicates that the model has been reloaded and that listeners should perform full refresh.

  See Also:
    Constant Field Values

### CHANGE

    public static final int CHANGE

  indicates that a model object's property has been changed.

  See Also:
    Constant Field Values

Method Detail

### getChangeProvider

    public IModelChangeProvider getChangeProvider()

  Returns the provider that fired this event.

  Returns:
    the event provider

### getChangedObjects

    public Object[] getChangedObjects()

  Returns an array of model objects that are affected by the change.

  Returns:
    array of affected objects

### getChangedProperty

    public String getChangedProperty()

  Returns a name of the object's property that has been changed if change type is CHANGE.

  Returns:
    property that has been changed in the model object, or `null` if type is not CHANGE or if more than one property has been changed.

### getOldValue

    public Object getOldValue()

  When model change is of type `CHANGE` , this method is used to obtain the old value of the property (before the change).

  Returns:
    the old value of the changed property

### getNewValue

    public Object getNewValue()

  When model change is of type `CHANGE` , this method is used to obtain the new value of the property (after the change).

  Returns:
    the new value of the changed property.

### getChangeType

    public int getChangeType()

  Returns the type of change that occured in the model (one of `INSERT` , `REMOVE` , `CHANGE` or `WORLD_CHANGED` ).

  Returns:
    type of change

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.